0

I am trying to run the Lucid app. In /code/Week03/lucid directory, when I run npm install I get these errors:

npm ERR! code 126
npm ERR! path /workspace/code/Week03/lucid/node_modules/utf-8-validate
npm ERR! command failed
npm ERR! command sh -c node-gyp-build
npm ERR! /usr/bin/env: 'node': Permission denied

npm ERR! A complete log of this run can be found in:
npm ERR!     /root/.npm/_logs/2023-04-06T11_15_43_098Z-debug.log

Any solution to this error?

1 Answer 1

1

You just need to change ownership of 'node'. https://stackoverflow.com/questions/70931624/usr-bin-env-node-permission-denied

sudo chown $USER /usr/bin/env/node

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.